<bugID>951675<Summary>New data collected by the frame script is ignored as long as we don't invalidate the TabStateCache</Summary><Description>For normal data collection, we don't call _copyFromPersistentCache() when TabStateCache.has() == true. This is bad as the whole idea is to let the frame script control invalidation and collect data. We should also make sure that the persistent data isn't duplicated in the normal tab state cache.</Description></bugID>